Public Repository

Last pushed: 2 years ago
Short Description
Flask + SQLAlchemy + Alembic + PostgreSQL driver
Full Description

Dockerfile

FROM p0bailey/docker-flask

MAINTAINER Max Lobur version: 0.1

RUN apt-get update
RUN apt-get -y install libpq-dev python-dev
RUN apt-get -y install postgresql-client

COPY requirements.txt /tmp/
RUN yes | pip install -r /tmp/requirements.txt

EXPOSE 5000

requirements.txt

Flask==0.10.1
SQLAlchemy==1.0.11
alembic==0.8.4
psycopg2==2.6.1
flask-sqlalchemy==2.1
flask-security==1.7.5

Docker Pull Command
Owner
lobur

Comments (0)